#pragma once

#include "Thread.h"

namespace Framework
{
    class Text;
    class Schrift;

    class MultiplChoiceDialog
    {
    private:
        RCArray< Text > *entrys;
        Array< void* > *ids;
        int ref;

    public:
        DLLEXPORT MultiplChoiceDialog();
        DLLEXPORT ~MultiplChoiceDialog();
        //! Fgt eine Auswahlmglichkeit hinzu
        DLLEXPORT void addChoice( const char *text, void *id );
        //! Zeigt den dialog an und wartet auf benutzereingabe
        DLLEXPORT void *anzeigen( Schrift *zSchrift );
        //! Reference Counting
        DLLEXPORT MultiplChoiceDialog *getThis();
        DLLEXPORT MultiplChoiceDialog *release();
    };
}